#ifndef PART_EMITTER_H
#define PART_EMITTER_H

#include <vector>

#include "Cparticle.h"
//#include <stdio.h>
class Cparticle;

class Cpart_emitter
{
public:
	Cpart_emitter ();
	Cpart_emitter(int max_particles);

	int get_curr_part_count(void);
	bool add_particle (Cparticle* particle);
	void update ();

	void clear_vec (void);

	bool light;

protected:
	int m_max_part;

	int m_current_part_count;
	

	std::vector<Cparticle*> m_part_vec;
	
public:
	~Cpart_emitter(void);
};

#endif // PART_EMITTER_H
